Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build.fs.parser
Enum Metadata.MimeType

    java.lang.Object
      java.lang.Enum<Metadata.MimeType>
          org.basex.build.fs.parser.Metadata.MimeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Metadata.MimeType>

Enclosing class:
  Metadata

    public static enum Metadata.MimeType

extends java.lang.Enum<Metadata.MimeType>

Available MIME types.

Author:
  Bastian Lemke

Enum Constant Summary
`BMP` BMP.
`JPG` JPG.
`KML` KML.
`MP3` MP3.
`PNG` PNG.
`TXT` Plaintext.
`UNKNOWN` Unknown media.
`XML` XML.

Method Summary
`byte[]` | `get()` Returns the xml element name as byte array.
`byte[]` | `getDefaultSuffix()` Returns the default file suffix for the MIME type.
`static Metadata.MimeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Metadata.MimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Metadata.MimeType UNKNOWN

  Unknown media.

### TXT

    public static final Metadata.MimeType TXT

  Plaintext.

### XML

    public static final Metadata.MimeType XML

  XML.

### KML

    public static final Metadata.MimeType KML

  KML.

### MP3

    public static final Metadata.MimeType MP3

  MP3.

### PNG

    public static final Metadata.MimeType PNG

  PNG.

### JPG

    public static final Metadata.MimeType JPG

  JPG.

### BMP

    public static final Metadata.MimeType BMP

  BMP.

Method Detail

### values

    public static Metadata.MimeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Metadata.MimeType c : Metadata.MimeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Metadata.MimeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public byte[] get()

  Returns the xml element name as byte array.

  Returns:
    the xml element name.

### getDefaultSuffix

    public byte[] getDefaultSuffix()

  Returns the default file suffix for the MIME type.

  Returns:
    the default file suffix.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD